petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatTransposeColoringCreate

Creates a matrix coloring context for matrix product C=A*B^T.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransposeColoringCreate(Mat mat,ISColoring iscoloring,MatTransposeColoring *color)

Collective on Mat

### Input Parameters

| mat | - the matrix product C
| iscoloring | - the coloring of the matrix; usually obtained with MatColoringCreate() or DMCreateColoring()

### Output Parameter

color -the new coloring context

### See Also

MatTransposeColoringDestroy(), MatTransColoringApplySpToDen(),
MatTransColoringApplyDenToSp()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatTransposeColoringCreate_SeqAIJ in src/mat/impls/aij/seq/matmatmult.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages